org.springframework.batch.core.jsr.configuration.xml

## Class StepParser

- java.lang.Object
- - org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
  - - org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
    - - org.springframework.batch.core.jsr.configuration.xml.StepParser

- All Implemented Interfaces:
    org.springframework.beans.factory.xml.BeanDefinitionParser

      public class StepParser
      extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  Parser for the <step /> element defined by JSR-352.
  Since:
    3.0
  Author:
    Michael Minella, Glenn Renfro, Chris Schaefer, Mahmoud Ben Hassine

- - ### Field Summary

    - ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `ID_ATTRIBUTE, NAME_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Collection<org.springframework.beans.factory.config.BeanDefinition>` | `parse(org.w3c.dom.Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

      `doParse, doParse, getBeanClass, getBeanClassName, getParentName, parseInternal`

    - ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

      `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StepParser

          public StepParser()

  - ### Method Detail

    - #### parse

          protected java.util.Collection<org.springframework.beans.factory.config.BeanDefinition> parse(org.w3c.dom.Element element,
                                                                                                        org.springframework.beans.factory.xml.ParserContext parserContext,
                                                                                                        org.springframework.beans.factory.support.BeanDefinitionBuilder builder)